package interfaces

type IServiceProvider interface {
	GetEnvService() IEnv
	GetCacheService() ICache
	GetMailerService() IMailer
	GetArticleRepository() IArticleRepository
	GetTagRepository() ITagRepository
	GetArticleTagRepository() IArticleTagRepository
}
