### Формат файла конфигурации приложения

config/.env

```
APP_PORT=8080

DB_HOST=localhost
DB_PORT=5432
DB_NAME=homethings
DB_USER=user
DB_PASSWORD=pass

DB_MAX_OPEN_CONNS=0
DB_MAX_IDLE_CONNS=5
DB_MAX_CONN_LIFETIME=0
DB_MAX_IDLE_CONN_LIFETIME=300

CORS_ALLOW_ORIGING=*
CORS_ALLOW_METHODS=GET,POST,PUT,DELETE

SMTP_HOST=smtp.example.com
SMTP_PORT=25
SMTP_USER=example@example.com
SMTP_PASSWORD=5cCd5m2

ERRORS_EMAIL=example@example.com

JWT_SECRET_KEY=test_secret
JWT_LIFETIME=21600

BASIC_AUTH_USER=user
BASIC_AUTH_PASSWORD=pass

STATIC_VERSION=1

GA_KEY=UA-1111111-1 (empty for disable)
```

### Команды

- make run (запуск приложения)
- make test (запуск тестов)
- make test-cover (статистика по покрытию тестами)
- make lint (запуск линтера)
- make migration-status (статус миграций)
- make migration-up (применение миграций)
- make migration-down (откат миграций)
- make docker-build (сборка контейнеров)
- make docker-up (запуск контейнеров)
- make docker-down (остановка контейнеров)
- make install-deps (установка зависимостей)
- make app-build (компиляция приложения)
